Basilisk
API referenceReference

Activity_detail

GET
/v1/activity/{id}

Path Parameters

id*string

Durable cycle ID

Formatuuid

Query Parameters

snapshot?string

Response Body

application/json

curl -X GET "https://example.com/v1/activity/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "attempt_total": 0,  "attempts": [    {      "finished_at": "2019-08-24T14:15:22Z",      "stage": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "string"    }  ],  "attempts_complete": true,  "operation_total": 0,  "operations": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "string"    }  ],  "operations_complete": true,  "processing": [    {      "attempt_count": 0,      "completed_count": 0,      "counts": [        {          "name": "string",          "value": 0        }      ],      "failed_count": 0,      "skipped_count": 0,      "stage": "string"    }  ],  "run": {    "actor": "string",    "change_count": 0,    "complete": true,    "completed_at": "2019-08-24T14:15:22Z",    "dataset_impact": "changed",    "headline": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "kind": "scheduled",    "reason": "string",    "retry_of": "a7f35b23-6f09-4e1c-8113-f2b51e0883ca",    "retry_of_run": "7e429f34-5f6d-49d7-bb1f-ee3c4b2bca81",    "scope": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "running"  },  "snapshot": "string"}